Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.69.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
2.69.0.0
Broadcast address
2.69.127.255
First usable
2.69.0.1
Last usable
2.69.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 02450000 · Integer 38076416 to 38109183
Reverse DNS zones
0.69.2.in-addr.arpa
1.69.2.in-addr.arpa
2.69.2.in-addr.arpa
3.69.2.in-addr.arpa
4.69.2.in-addr.arpa
5.69.2.in-addr.arpa
6.69.2.in-addr.arpa
7.69.2.in-addr.arpa
8.69.2.in-addr.arpa
9.69.2.in-addr.arpa
10.69.2.in-addr.arpa
11.69.2.in-addr.arpa
12.69.2.in-addr.arpa
13.69.2.in-addr.arpa
14.69.2.in-addr.arpa
15.69.2.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.01000101.00000000.000000002.69.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000010.01000101.00000000.000000002.69.0.0
Broadcast00000010.01000101.01111111.111111112.69.127.255
Split into smaller subnets/27

2.69.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.69.0.0/272.69.0.1 to 2.69.0.302.69.0.3130
22.69.0.32/272.69.0.33 to 2.69.0.622.69.0.6330
32.69.0.64/272.69.0.65 to 2.69.0.942.69.0.9530
42.69.0.96/272.69.0.97 to 2.69.0.1262.69.0.12730
52.69.0.128/272.69.0.129 to 2.69.0.1582.69.0.15930
62.69.0.160/272.69.0.161 to 2.69.0.1902.69.0.19130
72.69.0.192/272.69.0.193 to 2.69.0.2222.69.0.22330
82.69.0.224/272.69.0.225 to 2.69.0.2542.69.0.25530
92.69.1.0/272.69.1.1 to 2.69.1.302.69.1.3130
102.69.1.32/272.69.1.33 to 2.69.1.622.69.1.6330
112.69.1.64/272.69.1.65 to 2.69.1.942.69.1.9530
122.69.1.96/272.69.1.97 to 2.69.1.1262.69.1.12730
132.69.1.128/272.69.1.129 to 2.69.1.1582.69.1.15930
142.69.1.160/272.69.1.161 to 2.69.1.1902.69.1.19130
152.69.1.192/272.69.1.193 to 2.69.1.2222.69.1.22330
162.69.1.224/272.69.1.225 to 2.69.1.2542.69.1.25530
172.69.2.0/272.69.2.1 to 2.69.2.302.69.2.3130
182.69.2.32/272.69.2.33 to 2.69.2.622.69.2.6330
192.69.2.64/272.69.2.65 to 2.69.2.942.69.2.9530
202.69.2.96/272.69.2.97 to 2.69.2.1262.69.2.12730
212.69.2.128/272.69.2.129 to 2.69.2.1582.69.2.15930
222.69.2.160/272.69.2.161 to 2.69.2.1902.69.2.19130
232.69.2.192/272.69.2.193 to 2.69.2.2222.69.2.22330
242.69.2.224/272.69.2.225 to 2.69.2.2542.69.2.25530
252.69.3.0/272.69.3.1 to 2.69.3.302.69.3.3130
262.69.3.32/272.69.3.33 to 2.69.3.622.69.3.6330
272.69.3.64/272.69.3.65 to 2.69.3.942.69.3.9530
282.69.3.96/272.69.3.97 to 2.69.3.1262.69.3.12730
292.69.3.128/272.69.3.129 to 2.69.3.1582.69.3.15930
302.69.3.160/272.69.3.161 to 2.69.3.1902.69.3.19130
312.69.3.192/272.69.3.193 to 2.69.3.2222.69.3.22330
322.69.3.224/272.69.3.225 to 2.69.3.2542.69.3.25530
332.69.4.0/272.69.4.1 to 2.69.4.302.69.4.3130
342.69.4.32/272.69.4.33 to 2.69.4.622.69.4.6330
352.69.4.64/272.69.4.65 to 2.69.4.942.69.4.9530
362.69.4.96/272.69.4.97 to 2.69.4.1262.69.4.12730
372.69.4.128/272.69.4.129 to 2.69.4.1582.69.4.15930
382.69.4.160/272.69.4.161 to 2.69.4.1902.69.4.19130
392.69.4.192/272.69.4.193 to 2.69.4.2222.69.4.22330
402.69.4.224/272.69.4.225 to 2.69.4.2542.69.4.25530
412.69.5.0/272.69.5.1 to 2.69.5.302.69.5.3130
422.69.5.32/272.69.5.33 to 2.69.5.622.69.5.6330
432.69.5.64/272.69.5.65 to 2.69.5.942.69.5.9530
442.69.5.96/272.69.5.97 to 2.69.5.1262.69.5.12730
452.69.5.128/272.69.5.129 to 2.69.5.1582.69.5.15930
462.69.5.160/272.69.5.161 to 2.69.5.1902.69.5.19130
472.69.5.192/272.69.5.193 to 2.69.5.2222.69.5.22330
482.69.5.224/272.69.5.225 to 2.69.5.2542.69.5.25530
492.69.6.0/272.69.6.1 to 2.69.6.302.69.6.3130
502.69.6.32/272.69.6.33 to 2.69.6.622.69.6.6330
512.69.6.64/272.69.6.65 to 2.69.6.942.69.6.9530
522.69.6.96/272.69.6.97 to 2.69.6.1262.69.6.12730
532.69.6.128/272.69.6.129 to 2.69.6.1582.69.6.15930
542.69.6.160/272.69.6.161 to 2.69.6.1902.69.6.19130
552.69.6.192/272.69.6.193 to 2.69.6.2222.69.6.22330
562.69.6.224/272.69.6.225 to 2.69.6.2542.69.6.25530
572.69.7.0/272.69.7.1 to 2.69.7.302.69.7.3130
582.69.7.32/272.69.7.33 to 2.69.7.622.69.7.6330
592.69.7.64/272.69.7.65 to 2.69.7.942.69.7.9530
602.69.7.96/272.69.7.97 to 2.69.7.1262.69.7.12730
612.69.7.128/272.69.7.129 to 2.69.7.1582.69.7.15930
622.69.7.160/272.69.7.161 to 2.69.7.1902.69.7.19130
632.69.7.192/272.69.7.193 to 2.69.7.2222.69.7.22330
642.69.7.224/272.69.7.225 to 2.69.7.2542.69.7.25530
652.69.8.0/272.69.8.1 to 2.69.8.302.69.8.3130
662.69.8.32/272.69.8.33 to 2.69.8.622.69.8.6330
672.69.8.64/272.69.8.65 to 2.69.8.942.69.8.9530
682.69.8.96/272.69.8.97 to 2.69.8.1262.69.8.12730
692.69.8.128/272.69.8.129 to 2.69.8.1582.69.8.15930
702.69.8.160/272.69.8.161 to 2.69.8.1902.69.8.19130
712.69.8.192/272.69.8.193 to 2.69.8.2222.69.8.22330
722.69.8.224/272.69.8.225 to 2.69.8.2542.69.8.25530
732.69.9.0/272.69.9.1 to 2.69.9.302.69.9.3130
742.69.9.32/272.69.9.33 to 2.69.9.622.69.9.6330
752.69.9.64/272.69.9.65 to 2.69.9.942.69.9.9530
762.69.9.96/272.69.9.97 to 2.69.9.1262.69.9.12730
772.69.9.128/272.69.9.129 to 2.69.9.1582.69.9.15930
782.69.9.160/272.69.9.161 to 2.69.9.1902.69.9.19130
792.69.9.192/272.69.9.193 to 2.69.9.2222.69.9.22330
802.69.9.224/272.69.9.225 to 2.69.9.2542.69.9.25530
812.69.10.0/272.69.10.1 to 2.69.10.302.69.10.3130
822.69.10.32/272.69.10.33 to 2.69.10.622.69.10.6330
832.69.10.64/272.69.10.65 to 2.69.10.942.69.10.9530
842.69.10.96/272.69.10.97 to 2.69.10.1262.69.10.12730
852.69.10.128/272.69.10.129 to 2.69.10.1582.69.10.15930
862.69.10.160/272.69.10.161 to 2.69.10.1902.69.10.19130
872.69.10.192/272.69.10.193 to 2.69.10.2222.69.10.22330
882.69.10.224/272.69.10.225 to 2.69.10.2542.69.10.25530
892.69.11.0/272.69.11.1 to 2.69.11.302.69.11.3130
902.69.11.32/272.69.11.33 to 2.69.11.622.69.11.6330
912.69.11.64/272.69.11.65 to 2.69.11.942.69.11.9530
922.69.11.96/272.69.11.97 to 2.69.11.1262.69.11.12730
932.69.11.128/272.69.11.129 to 2.69.11.1582.69.11.15930
942.69.11.160/272.69.11.161 to 2.69.11.1902.69.11.19130
952.69.11.192/272.69.11.193 to 2.69.11.2222.69.11.22330
962.69.11.224/272.69.11.225 to 2.69.11.2542.69.11.25530
972.69.12.0/272.69.12.1 to 2.69.12.302.69.12.3130
982.69.12.32/272.69.12.33 to 2.69.12.622.69.12.6330
992.69.12.64/272.69.12.65 to 2.69.12.942.69.12.9530
1002.69.12.96/272.69.12.97 to 2.69.12.1262.69.12.12730
1012.69.12.128/272.69.12.129 to 2.69.12.1582.69.12.15930
1022.69.12.160/272.69.12.161 to 2.69.12.1902.69.12.19130
1032.69.12.192/272.69.12.193 to 2.69.12.2222.69.12.22330
1042.69.12.224/272.69.12.225 to 2.69.12.2542.69.12.25530
1052.69.13.0/272.69.13.1 to 2.69.13.302.69.13.3130
1062.69.13.32/272.69.13.33 to 2.69.13.622.69.13.6330
1072.69.13.64/272.69.13.65 to 2.69.13.942.69.13.9530
1082.69.13.96/272.69.13.97 to 2.69.13.1262.69.13.12730
1092.69.13.128/272.69.13.129 to 2.69.13.1582.69.13.15930
1102.69.13.160/272.69.13.161 to 2.69.13.1902.69.13.19130
1112.69.13.192/272.69.13.193 to 2.69.13.2222.69.13.22330
1122.69.13.224/272.69.13.225 to 2.69.13.2542.69.13.25530
1132.69.14.0/272.69.14.1 to 2.69.14.302.69.14.3130
1142.69.14.32/272.69.14.33 to 2.69.14.622.69.14.6330
1152.69.14.64/272.69.14.65 to 2.69.14.942.69.14.9530
1162.69.14.96/272.69.14.97 to 2.69.14.1262.69.14.12730
1172.69.14.128/272.69.14.129 to 2.69.14.1582.69.14.15930
1182.69.14.160/272.69.14.161 to 2.69.14.1902.69.14.19130
1192.69.14.192/272.69.14.193 to 2.69.14.2222.69.14.22330
1202.69.14.224/272.69.14.225 to 2.69.14.2542.69.14.25530
1212.69.15.0/272.69.15.1 to 2.69.15.302.69.15.3130
1222.69.15.32/272.69.15.33 to 2.69.15.622.69.15.6330
1232.69.15.64/272.69.15.65 to 2.69.15.942.69.15.9530
1242.69.15.96/272.69.15.97 to 2.69.15.1262.69.15.12730
1252.69.15.128/272.69.15.129 to 2.69.15.1582.69.15.15930
1262.69.15.160/272.69.15.161 to 2.69.15.1902.69.15.19130
1272.69.15.192/272.69.15.193 to 2.69.15.2222.69.15.22330
1282.69.15.224/272.69.15.225 to 2.69.15.2542.69.15.25530
1292.69.16.0/272.69.16.1 to 2.69.16.302.69.16.3130
1302.69.16.32/272.69.16.33 to 2.69.16.622.69.16.6330
1312.69.16.64/272.69.16.65 to 2.69.16.942.69.16.9530
1322.69.16.96/272.69.16.97 to 2.69.16.1262.69.16.12730
1332.69.16.128/272.69.16.129 to 2.69.16.1582.69.16.15930
1342.69.16.160/272.69.16.161 to 2.69.16.1902.69.16.19130
1352.69.16.192/272.69.16.193 to 2.69.16.2222.69.16.22330
1362.69.16.224/272.69.16.225 to 2.69.16.2542.69.16.25530
1372.69.17.0/272.69.17.1 to 2.69.17.302.69.17.3130
1382.69.17.32/272.69.17.33 to 2.69.17.622.69.17.6330
1392.69.17.64/272.69.17.65 to 2.69.17.942.69.17.9530
1402.69.17.96/272.69.17.97 to 2.69.17.1262.69.17.12730
1412.69.17.128/272.69.17.129 to 2.69.17.1582.69.17.15930
1422.69.17.160/272.69.17.161 to 2.69.17.1902.69.17.19130
1432.69.17.192/272.69.17.193 to 2.69.17.2222.69.17.22330
1442.69.17.224/272.69.17.225 to 2.69.17.2542.69.17.25530
1452.69.18.0/272.69.18.1 to 2.69.18.302.69.18.3130
1462.69.18.32/272.69.18.33 to 2.69.18.622.69.18.6330
1472.69.18.64/272.69.18.65 to 2.69.18.942.69.18.9530
1482.69.18.96/272.69.18.97 to 2.69.18.1262.69.18.12730
1492.69.18.128/272.69.18.129 to 2.69.18.1582.69.18.15930
1502.69.18.160/272.69.18.161 to 2.69.18.1902.69.18.19130
1512.69.18.192/272.69.18.193 to 2.69.18.2222.69.18.22330
1522.69.18.224/272.69.18.225 to 2.69.18.2542.69.18.25530
1532.69.19.0/272.69.19.1 to 2.69.19.302.69.19.3130
1542.69.19.32/272.69.19.33 to 2.69.19.622.69.19.6330
1552.69.19.64/272.69.19.65 to 2.69.19.942.69.19.9530
1562.69.19.96/272.69.19.97 to 2.69.19.1262.69.19.12730
1572.69.19.128/272.69.19.129 to 2.69.19.1582.69.19.15930
1582.69.19.160/272.69.19.161 to 2.69.19.1902.69.19.19130
1592.69.19.192/272.69.19.193 to 2.69.19.2222.69.19.22330
1602.69.19.224/272.69.19.225 to 2.69.19.2542.69.19.25530
1612.69.20.0/272.69.20.1 to 2.69.20.302.69.20.3130
1622.69.20.32/272.69.20.33 to 2.69.20.622.69.20.6330
1632.69.20.64/272.69.20.65 to 2.69.20.942.69.20.9530
1642.69.20.96/272.69.20.97 to 2.69.20.1262.69.20.12730
1652.69.20.128/272.69.20.129 to 2.69.20.1582.69.20.15930
1662.69.20.160/272.69.20.161 to 2.69.20.1902.69.20.19130
1672.69.20.192/272.69.20.193 to 2.69.20.2222.69.20.22330
1682.69.20.224/272.69.20.225 to 2.69.20.2542.69.20.25530
1692.69.21.0/272.69.21.1 to 2.69.21.302.69.21.3130
1702.69.21.32/272.69.21.33 to 2.69.21.622.69.21.6330
1712.69.21.64/272.69.21.65 to 2.69.21.942.69.21.9530
1722.69.21.96/272.69.21.97 to 2.69.21.1262.69.21.12730
1732.69.21.128/272.69.21.129 to 2.69.21.1582.69.21.15930
1742.69.21.160/272.69.21.161 to 2.69.21.1902.69.21.19130
1752.69.21.192/272.69.21.193 to 2.69.21.2222.69.21.22330
1762.69.21.224/272.69.21.225 to 2.69.21.2542.69.21.25530
1772.69.22.0/272.69.22.1 to 2.69.22.302.69.22.3130
1782.69.22.32/272.69.22.33 to 2.69.22.622.69.22.6330
1792.69.22.64/272.69.22.65 to 2.69.22.942.69.22.9530
1802.69.22.96/272.69.22.97 to 2.69.22.1262.69.22.12730
1812.69.22.128/272.69.22.129 to 2.69.22.1582.69.22.15930
1822.69.22.160/272.69.22.161 to 2.69.22.1902.69.22.19130
1832.69.22.192/272.69.22.193 to 2.69.22.2222.69.22.22330
1842.69.22.224/272.69.22.225 to 2.69.22.2542.69.22.25530
1852.69.23.0/272.69.23.1 to 2.69.23.302.69.23.3130
1862.69.23.32/272.69.23.33 to 2.69.23.622.69.23.6330
1872.69.23.64/272.69.23.65 to 2.69.23.942.69.23.9530
1882.69.23.96/272.69.23.97 to 2.69.23.1262.69.23.12730
1892.69.23.128/272.69.23.129 to 2.69.23.1582.69.23.15930
1902.69.23.160/272.69.23.161 to 2.69.23.1902.69.23.19130
1912.69.23.192/272.69.23.193 to 2.69.23.2222.69.23.22330
1922.69.23.224/272.69.23.225 to 2.69.23.2542.69.23.25530
1932.69.24.0/272.69.24.1 to 2.69.24.302.69.24.3130
1942.69.24.32/272.69.24.33 to 2.69.24.622.69.24.6330
1952.69.24.64/272.69.24.65 to 2.69.24.942.69.24.9530
1962.69.24.96/272.69.24.97 to 2.69.24.1262.69.24.12730
1972.69.24.128/272.69.24.129 to 2.69.24.1582.69.24.15930
1982.69.24.160/272.69.24.161 to 2.69.24.1902.69.24.19130
1992.69.24.192/272.69.24.193 to 2.69.24.2222.69.24.22330
2002.69.24.224/272.69.24.225 to 2.69.24.2542.69.24.25530
2012.69.25.0/272.69.25.1 to 2.69.25.302.69.25.3130
2022.69.25.32/272.69.25.33 to 2.69.25.622.69.25.6330
2032.69.25.64/272.69.25.65 to 2.69.25.942.69.25.9530
2042.69.25.96/272.69.25.97 to 2.69.25.1262.69.25.12730
2052.69.25.128/272.69.25.129 to 2.69.25.1582.69.25.15930
2062.69.25.160/272.69.25.161 to 2.69.25.1902.69.25.19130
2072.69.25.192/272.69.25.193 to 2.69.25.2222.69.25.22330
2082.69.25.224/272.69.25.225 to 2.69.25.2542.69.25.25530
2092.69.26.0/272.69.26.1 to 2.69.26.302.69.26.3130
2102.69.26.32/272.69.26.33 to 2.69.26.622.69.26.6330
2112.69.26.64/272.69.26.65 to 2.69.26.942.69.26.9530
2122.69.26.96/272.69.26.97 to 2.69.26.1262.69.26.12730
2132.69.26.128/272.69.26.129 to 2.69.26.1582.69.26.15930
2142.69.26.160/272.69.26.161 to 2.69.26.1902.69.26.19130
2152.69.26.192/272.69.26.193 to 2.69.26.2222.69.26.22330
2162.69.26.224/272.69.26.225 to 2.69.26.2542.69.26.25530
2172.69.27.0/272.69.27.1 to 2.69.27.302.69.27.3130
2182.69.27.32/272.69.27.33 to 2.69.27.622.69.27.6330
2192.69.27.64/272.69.27.65 to 2.69.27.942.69.27.9530
2202.69.27.96/272.69.27.97 to 2.69.27.1262.69.27.12730
2212.69.27.128/272.69.27.129 to 2.69.27.1582.69.27.15930
2222.69.27.160/272.69.27.161 to 2.69.27.1902.69.27.19130
2232.69.27.192/272.69.27.193 to 2.69.27.2222.69.27.22330
2242.69.27.224/272.69.27.225 to 2.69.27.2542.69.27.25530
2252.69.28.0/272.69.28.1 to 2.69.28.302.69.28.3130
2262.69.28.32/272.69.28.33 to 2.69.28.622.69.28.6330
2272.69.28.64/272.69.28.65 to 2.69.28.942.69.28.9530
2282.69.28.96/272.69.28.97 to 2.69.28.1262.69.28.12730
2292.69.28.128/272.69.28.129 to 2.69.28.1582.69.28.15930
2302.69.28.160/272.69.28.161 to 2.69.28.1902.69.28.19130
2312.69.28.192/272.69.28.193 to 2.69.28.2222.69.28.22330
2322.69.28.224/272.69.28.225 to 2.69.28.2542.69.28.25530
2332.69.29.0/272.69.29.1 to 2.69.29.302.69.29.3130
2342.69.29.32/272.69.29.33 to 2.69.29.622.69.29.6330
2352.69.29.64/272.69.29.65 to 2.69.29.942.69.29.9530
2362.69.29.96/272.69.29.97 to 2.69.29.1262.69.29.12730
2372.69.29.128/272.69.29.129 to 2.69.29.1582.69.29.15930
2382.69.29.160/272.69.29.161 to 2.69.29.1902.69.29.19130
2392.69.29.192/272.69.29.193 to 2.69.29.2222.69.29.22330
2402.69.29.224/272.69.29.225 to 2.69.29.2542.69.29.25530
2412.69.30.0/272.69.30.1 to 2.69.30.302.69.30.3130
2422.69.30.32/272.69.30.33 to 2.69.30.622.69.30.6330
2432.69.30.64/272.69.30.65 to 2.69.30.942.69.30.9530
2442.69.30.96/272.69.30.97 to 2.69.30.1262.69.30.12730
2452.69.30.128/272.69.30.129 to 2.69.30.1582.69.30.15930
2462.69.30.160/272.69.30.161 to 2.69.30.1902.69.30.19130
2472.69.30.192/272.69.30.193 to 2.69.30.2222.69.30.22330
2482.69.30.224/272.69.30.225 to 2.69.30.2542.69.30.25530
2492.69.31.0/272.69.31.1 to 2.69.31.302.69.31.3130
2502.69.31.32/272.69.31.33 to 2.69.31.622.69.31.6330
2512.69.31.64/272.69.31.65 to 2.69.31.942.69.31.9530
2522.69.31.96/272.69.31.97 to 2.69.31.1262.69.31.12730
2532.69.31.128/272.69.31.129 to 2.69.31.1582.69.31.15930
2542.69.31.160/272.69.31.161 to 2.69.31.1902.69.31.19130
2552.69.31.192/272.69.31.193 to 2.69.31.2222.69.31.22330
2562.69.31.224/272.69.31.225 to 2.69.31.2542.69.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses